unmet dependencies: nginx : Depends: libluajit-5.1-2

trotsak's picture

Good day!

I setup nginx at DO, Debian 7 x32. I try to install nginx.

My /etc/apt/sources.list is:

deb http://ftp.us.debian.org/debian wheezy main
deb http://security.debian.org/ wheezy/updates main
deb http://debian.perusio.net unstable/
deb-src http://debian.perusio.net unstable/

When I install nginx (aptitude install nginx) I get:

The following packages have unmet dependencies:
nginx : Depends: libluajit-5.1-2 which is a virtual package.

how can I resolve it?

Comments

You need to add testing to the sources

perusio's picture

Look here: https://packages.debian.org/search?keywords=luajit

LuaJIT is not available on wheezy/stable. I have on my sources.list:

deb http://ftp.fr.debian.org/debian/ testing main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ testing main contrib non-free

Put whichever mirror is close to you. Yeah the documentation needs to be improved.
At the time I wasn't building nginx with LuaJIT, but rather with the "normal" Lua library
instead.

Perusio, thank you very

trotsak's picture

Perusio, thank you very much.

I have added to sources.list:

deb http://ftp.us.debian.org/debian wheezy main
deb http://security.debian.org/ wheezy/updates main

deb http://debian.perusio.net unstable/
deb-src http://debian.perusio.net unstable/

deb http://ftp.fr.debian.org/debian/ testing main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ testing main contrib non-free

and now:

nginx version: nginx/1.5.10

Now I am ready for next steps of your manual.